g++ -O2 -Wall -Wextra -Wl,--stack=65000000 -o hel_nn_fast.exe hel_nn_fast.cpp
g++ -O2 -Wall -Wextra -Wl,--stack=65000000 -o hel_nn_stupid.exe hel_nn_stupid.cpp
dcc32 -cc gen.pas
while true
do
  ./gen.exe > hel.in
  ./hel_nn_fast.exe
  mv hel.out hel.out1
  ./hel_nn_stupid.exe
  mv hel.out hel.out2
  diff hel.out1 hel.out2 || exit
  echo "OK"
done